apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: game-ingress
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/router.entrypoints: web, websecure
    traefik.ingress.kubernetes.io/router.middlewares: gitea-redirect-https@kubernetescrd
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - ${APP_URL}
      secretName: game-tls-secret
  rules:
    - host: ${APP_URL}
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: escape-game
                port:
                  number: 80